Bug 1515868 - annobin: Track -fstack-clash-protection
Summary: annobin: Track -fstack-clash-protection
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: annobin
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1512529
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 14:04 UTC by Florian Weimer
Modified: 2019-05-28 19:52 UTC (History)
1 user (show)

Fixed In Version: annobin-5.2-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:52:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1515865 None CLOSED redhat-rpm-config: Enable -fstack-clash-protection (except armhfp) 2019-06-11 17:38:06 UTC

Internal Links: 1515865

Description Florian Weimer 2017-11-21 14:04:51 UTC
We plan to compile all of Fedora with -fstack-clash-protection (bug 1515865), so we need to track the presence of the flag.  GCC support for it is still in progress (bug 1512529).

Comment 1 Fedora End Of Life 2018-02-20 15:24:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Nick Clifton 2018-04-11 08:39:51 UTC
Annobin now tracks this setting.  (Actually it has for a while now, but I
forgot to update this BZ).

Fixed in: annobin-5.2-1.fc28

Comment 3 Ben Cotton 2019-05-02 21:56:11 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 19:52:49 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.